#!/usr/bin/python
# This program  is a "quick & dirty" implementation of the GUI
# for the parallel port controlled HC DSO2100 oscilloscope
# Written by Wojciech M. Zabolotny (wzab@ise.pw.edu.pl)
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
import fcntl
import array as arr
import threading
import time
import sys
import usb
import dso_usb
#import osc_gui        

def start_gui():
    #Start the GUI thread
    import osc_gui
    gui=osc_gui.gui(o)
    gui.start()
    return gui
    

def contin():
    global o
    while True:
        #o.setup_parameters()
        w=o.auto_acq(1)
        o.vlock.acquire()
        o.linia[0]=w[0:500]
        o.linia[1]=w[500:1000]
        o.vlock.release()
        #o.setup_parameters()
        w=o.auto_acq(2)
        o.vlock.acquire()
        o.linia[2]=w[0:500]
        o.linia[3]=w[500:1000]
        o.modified=True
        o.vlock.release()
        #o.linia.draw()
        if o.quit:
            return
global o
o=dso_usb.dso_usb()
g=start_gui()
print "GUI started!!!"
#time.sleep(2)
print "acquisition started!!!"
o.open()
o.setup_parameters()
w=o.auto_acq(2)
o.setup_parameters()
w2=o.auto_acq(1)
o.setup_parameters()
w3=o.auto_acq(1)

contin()
a.run()
g.join()
#print "GUI started!!!"
#w=o.auto_acq()
#w=o.auto_acq()